For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet Shipment
      • GETGet Shipment Timeline
      • POSTBatch Cancel Shipments
      • POSTMark Tracking Uploaded
    • OpenAPI spec
LogoLogo
API ReferenceOrders

Get Shipment

||View as Markdown|
GET
/2026-01/shipment/:shipmentId
GET
/2026-01/shipment/:shipmentId
$curl https://api.shipbob.com/2026-01/shipment/shipmentId \
> -H "Authorization: Bearer <token>"
1{
2 "actual_fulfillment_date": "2019-08-24T14:15:22Z",
3 "created_date": "2019-08-24T14:15:22Z",
4 "delivery_date": "2019-08-24T14:15:22Z",
5 "estimated_fulfillment_date": "2019-08-24T14:15:22Z",
6 "estimated_fulfillment_date_status": "AwaitingInventoryAllocation",
7 "gift_message": "string",
8 "id": 0,
9 "insurance_value": 0,
10 "invoice_amount": 0,
11 "invoice_currency_code": "string",
12 "is_tracking_uploaded": true,
13 "last_tracking_update_at": "2019-08-24T14:15:22Z",
14 "last_update_at": "2019-08-24T14:15:22Z",
15 "location": {
16 "id": 0,
17 "name": "Cicero (IL)"
18 },
19 "measurements": {
20 "depth_in": 0,
21 "length_in": 0,
22 "total_weight_oz": 0,
23 "width_in": 0
24 },
25 "order_id": 0,
26 "package_material_type": "Unknown",
27 "parent_cartons": [
28 {
29 "barcode": "string",
30 "cartons": [
31 {
32 "barcode": "string",
33 "carton_details": [
34 {
35 "products": [
36 {
37 "id": 0,
38 "inventory_items": [
39 {
40 "expiration_date": "2019-08-24T14:15:22Z",
41 "id": 0,
42 "is_dangerous_goods": true,
43 "lot": "22222",
44 "name": "Medium Blue T-Shirt",
45 "quantity": 0,
46 "quantity_committed": 0,
47 "serial_numbers": [
48 "string"
49 ]
50 }
51 ],
52 "name": "Medium Blue T-Shirt",
53 "reference_id": "TShirtBlueM",
54 "sku": "TShirtBlueM"
55 }
56 ]
57 }
58 ],
59 "id": 0,
60 "measurements": {
61 "depth_in": 0.1,
62 "length_in": 0.1,
63 "total_weight_oz": 0.1,
64 "width_in": 0.1
65 },
66 "type": "Box or pallet"
67 }
68 ],
69 "measurements": {
70 "depth_in": 0.1,
71 "length_in": 0.1,
72 "total_weight_oz": 0.1,
73 "width_in": 0.1
74 },
75 "type": "Box or pallet"
76 }
77 ],
78 "products": [
79 {
80 "id": 0,
81 "inventory_items": [
82 {
83 "expiration_date": "2019-08-24T14:15:22Z",
84 "id": 0,
85 "is_dangerous_goods": true,
86 "lot": "22222",
87 "name": "Medium Blue T-Shirt",
88 "quantity": 0,
89 "quantity_committed": 0,
90 "serial_numbers": [
91 "string"
92 ]
93 }
94 ],
95 "name": "Medium Blue T-Shirt",
96 "reference_id": "TShirtBlueM",
97 "sku": "TShirtBlueM"
98 }
99 ],
100 "recipient": {
101 "address": {
102 "address1": "100 Nowhere Blvd",
103 "address2": "Suite 100",
104 "city": "Gotham City",
105 "company_name": "Wayne Enterprises",
106 "country": "US",
107 "state": "NJ",
108 "zip_code": "07093"
109 },
110 "email": "john@example.com",
111 "full_name": "John Doe",
112 "name": "John Doe",
113 "phone_number": "555-555-5555"
114 },
115 "reference_id": "string",
116 "require_signature": true,
117 "ship_option": "Standard",
118 "status": "None",
119 "status_details": [
120 {
121 "description": "string",
122 "exception_fulfillment_center_id": 0,
123 "extra_information": {
124 "validation_messages": [
125 "string"
126 ]
127 },
128 "id": 0,
129 "inventory_id": 0,
130 "name": "string"
131 }
132 ],
133 "tracking": {
134 "bol": "string",
135 "carrier": "USPS",
136 "carrier_service": "Priority",
137 "pro_number": "string",
138 "scac": "string",
139 "shipping_date": "2019-08-24T14:15:22Z",
140 "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC",
141 "tracking_url": "https://www.example.com/tracking?id=860C8CDC8F0B4FC7AB69AC86C20539EC"
142 }
143}
Retrieves detailed information about a specific shipment by shipment ID, including shipment status, tracking information, fulfillment center location, and contained products.
Was this page helpful?
Previous

Get Order

Next

Get Shipment Timeline

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

shipmentIdstringRequiredformat: "int32"
The shipment id to get

Headers

shipbob_channel_idstringOptionalformat: "int32"

Retrieve your channel ID from the GET /channel endpoint. Use the channel ID that has write scopes.

Response

Success
actual_fulfillment_datedatetime or null

The datetime of ShipBob’s completion of the fulfillment operation as promised. Currently, this means the shipment has been picked, packed, and label has been printed.

created_datedatetime
Date this shipment was created
delivery_datedatetime or null
The datetime of Shipment delivered to customer.
estimated_fulfillment_datedatetime or null

The datetime of ShipBob’s commitment for completing the shipment and handing to the carrier for delivery.

estimated_fulfillment_date_statusenum
gift_messagestring or null<=500 characters
Gift message associated with the shipment
idinteger
Unique id of the shipment
insurance_valuedouble or null
Monetary amount that this shipment was insured for
invoice_amountdouble or null
Monetary amount that was invoiced for this shipment
invoice_currency_codestring or null
is_tracking_uploadedboolean

Indicates whether the Shipment was marked with tracking information uploaded to a third-party system where the order originated.

last_tracking_update_atdatetime or null
Timestamp for the last time this shipment had a tracking update
last_update_atdatetime or null
Date this shipment was last updated
locationobject
Information about a fulfillment center that a shipment can belong to
measurementsobject
Measurements of a shipment
order_idinteger
Id of the order this shipment belongs to
package_material_typeenum
parent_cartonslist of objects or null
Carton information for this shipment
productslist of objects or null
Information about the products contained in this shipment
recipientobject
Information about the recipient of a shipment
reference_idstring or null

Client-defined external unique id of the order this shipment belongs to

require_signatureboolean
If a shipment requires signature
ship_optionstring or null
Name of the shipping option used for this shipment
statusenum
status_detailslist of objects or null
Additional details about the shipment status
trackingobject
Tracking information for a shipment

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error